//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
kresli=false;
X0=0;
Y0=0;
Image1->Canvas->Pen->Width=Tloustka->Position;
Image1->Canvas->Pen->Color=ColorDialog1->Color;
Image1->Canvas->Brush->Color=ColorDialog2->Color;
Image1->Canvas->Pen->Style=psSolid; //plna cara, ostatni typy fungujou pouze kdyz je tloustka cary 1
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnBarvaPeroClick(TObject *Sender)
{
if(ColorDialog1->Execute()) //otevrn dialogu barviek po stisku tlatka
{
	Image1->Canvas->Pen->Color=ColorDialog1->Color;
}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnBarvaVyplnClick(TObject *Sender)
{
if(ColorDialog2->Execute()) //otevrn dialogu barviek po stisku tlatka
{
	Image1->Canvas->Brush->Color=ColorDialog2->Color;
}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Image1MouseDown(TObject *Sender, TMouseButton Button,
      TShiftState Shift, int X, int Y)
{
kresli=true;

switch(rdgVolba->ItemIndex)
{
	case 0:
	{
		Image1->Canvas->MoveTo(X,Y); //presun se na souradnice X,Y pri kliknuti
	}break;
	case 1:
	{
		Image1->Canvas->MoveTo(X,Y); //presun se na souradnice X,Y pri kliknuti
	}break;
	case 2:
	{
    	X0=X;
		Y0=Y;
	}break;
	case 3:
	{
		X0=X;
		Y0=Y;
	}break;
	case 4:
	{
		if(ColorDialog2->Color==clBlack)
		{
			ColorDialog2->Color=clWhite;
			Image1->Canvas->Brush->Color=ColorDialog2->Color;
		}
		Image1->Canvas->Font->Color=ColorDialog1->Color;
		Image1->Canvas->TextOutA(X,Y,"PRG je fajn!");
	}break;
	case 5:
	{
    	X0=X;
		Y0=Y;
    }

}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Image1MouseMove(TObject *Sender, TShiftState Shift,
      int X, int Y)
{
if(kresli)
{
	switch(rdgVolba->ItemIndex){
	case 0:
	{
		Image1->Canvas->LineTo(X,Y);
	}break;
	}

}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Image1MouseUp(TObject *Sender, TMouseButton Button,
      TShiftState Shift, int X, int Y)
{
kresli=false;
switch(rdgVolba->ItemIndex){
	case 0:
	{
		//Image1->Canvas->LineTo(X,Y);
	}break;
	case 1:
	{
		Image1->Canvas->LineTo(X,Y);
	}break;
	case 2:
	{
		Image1->Canvas->Rectangle(X0,Y0,X,Y);
	}break;
	case 3:
	{
		Image1->Canvas->Ellipse(X0,Y0,X,Y);
	}break;
	case 5:
	{
    	float r;
		r=sqrt(pow(X0-X,2)+pow(Y0-Y,2));
		Image1->Canvas->Ellipse(X0-r, Y0-r, X0+r, Y0+r);
    }
	}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnVycistiPlatnoClick(TObject *Sender)
{
Image1->Canvas->Brush->Color=clWhite;
Image1->Canvas->FillRect(TRect(0,0,Image1->Width, Image1->Height));
}
//---------------------------------------------------------------------------
void __fastcall TForm1::TloustkaChange(TObject *Sender)
{
Image1->Canvas->Pen->Width=Tloustka->Position;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ObrazekClick(TObject *Sender)
{
if(OpenDialog1->Execute())
{
	Bitmapa=new Graphics::TBitmap;
	Bitmapa->LoadFromFile(OpenDialog1->FileName);
	Image1->Canvas->Brush->Bitmap=Bitmapa;
}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormResize(TObject *Sender)
{
//Image1->Canvas->FillRect(TRect(0,0,Image1->Width, Image1->Height));
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Zavt1Click(TObject *Sender)
{
Application->Terminate();	
}
//---------------------------------------------------------------------------
